# class Zlib::GzipFile::Error

Base class of errors that occur when processing GZIP files.

### Attributes

input [R]

input gzipped string

### Public Instance Methods

inspect ()
Source

    static VALUE
    gzfile_error_inspect(VALUE error)
    {
        VALUE str = rb_call_super(0, 0);
        VALUE input = rb_attr_get(error, id_input);

        if (!NIL_P(input)) {
            rb_str_resize(str, RSTRING_LEN(str)-1);
            rb_str_cat2(str, ", input=");
            rb_str_append(str, rb_str_inspect(input));
            rb_str_cat2(str, ">");
        }
        return str;
    }

Constructs a `String` of the `GzipFile` `Error`